<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.sheep.jiuyan.samllsheep">

    <!-- 极光推送 -->
    <!-- Required -->
    <permission
        android:name="${applicationId}.permission.JPUSH_MESSAGE"
        android:protectionLevel="signature" />

    <!-- Required  一些系统要求的权限，如访问网络等 -->
    <uses-permission android:name="${applicationId}.permission.JPUSH_MESSAGE" />
    <uses-permission android:name="android.permission.RECEIVE_USER_PRESENT" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission
        android:name="android.permission.WRITE_SETTINGS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission
        android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />

    <!-- Optional for location -->
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" /> <!-- 用于开启 debug 版本的应用在6.0 系统上 层叠窗口权限 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <!-- 极光推送end -->

    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.SYSTEM_OVERLAY_WINDOW" />
    <uses-permission android:name="android.permission.REQUEST_MEDIA_PROJECTION" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission
        android:name="android.permission.PACKAGE_USAGE_STATS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <!-- 必须的权限配置 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission
        android:name="android.permission.READ_LOGS"
        tools:ignore="ProtectedPermissions" />
    <!-- 保存资源到SD卡 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!-- 推荐的权限 -->
    <!-- 添加如下权限，以便使用更多的第三方SDK和更精准的统计数据 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="com.android.alarm.permission.SET_ALARM" />
    <uses-permission android:name="android.permission.ACCESS_SUPERUSER" />

    <!-- 百度定位权限 start -->
    <!-- 这个权限用于进行网络定位 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <!-- 这个权限用于访问GPS定位 -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <!-- 用于访问wifi网络信息，wifi信息会用于进行网络定位 -->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <!-- 获取运营商信息，用于支持提供运营商信息相关的接口 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!-- 这个权限用于获取wifi的获取权限，wifi信息会用来进行网络定位 -->
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <!-- 用于读取手机当前的状态 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <!-- 写入扩展存储，向扩展卡写入数据，用于写入离线定位数据 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!-- 访问网络，网络定位需要上网 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <!-- SD卡读取权限，用户写入离线定位数据 -->
    <uses-permission
        android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.INTERNET" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />

    <permission
        android:name="android.permission.FLASHLIGHT"
        android:permissionGroup="android.permission-group.HARDWARE_CONTROLS"
        android:protectionLevel="normal" />

    <!-- 百度定位权限 end -->
    <application
        android:name=".SheepApp"
        android:allowBackup="true"
        android:fullBackupContent="@xml/backup_descriptor"
        android:icon="@mipmap/icon"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:persistent="true"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <meta-data
            android:name="com.sheep.jiuyan.samllsheep.utils.GlideApp"
            android:value="GlideModule" />
        <meta-data
            android:name="design_width_in_dp"
            android:value="375" />
        <meta-data
            android:name="design_height_in_dp"
            android:value="667" />

        <activity
            android:name=".wxapi.WXEntryActivity"
            android:exported="true"
            android:launchMode="singleTop" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.WebviewAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />

        <service android:name=".service.DownloadService" />
        <service
            android:name=".service.AutoCheckService"
            android:exported="false"
            android:priority="1000"
            android:process=":auto_check" />
        <service android:name=".service.FloatShotScreenService" />
        <service
            android:name=".service.ListenerShotService"
            android:enabled="true"
            android:exported="true"
            android:process=":listener" />
        <service
            android:name=".service.ListenerShotNewService"
            android:enabled="true"
            android:exported="true" />

        <provider
            android:name=".provider.SheepFileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">

            <!-- 元数据 -->
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <!-- 必须配置 -->
        <activity
            android:name="com.tencent.bugly.beta.ui.BetaActivity"
            android:configChanges="keyboardHidden|orientation|screenSize|locale"
            android:theme="@android:style/Theme.Translucent" />

        <!-- 必须配置 fileProvider， 注意： android:authorities="${applicationId}.fileProvider" 不要直接copy，设置为你的包名.fileProvider -->
        <provider
            android:name="android.support.v4.content.FileProvider"
            android:authorities="${applicationId}.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <activity
            android:name="com.sheep.gamegroup.view.activity.PersonalInfoAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.sheep.gamegroup.view.activity.SplashAct"
            android:screenOrientation="portrait"
            android:theme="@style/SplashTheme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.sheep.gamegroup.view.activity.MiddleSchemeAct"
            android:configChanges="keyboardHidden|screenSize|orientation"
            android:exported="true"
            android:hardwareAccelerated="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme"
            android:windowSoftInputMode="adjustPan|stateHidden">
            <intent-filter android:autoVerify="true">

                <!-- 协议部分，随便设置 -->
                <data
                    android:host="small.kfzs.com"
                    android:scheme="sheep" />
                <!-- 下面这几行也必须得设置 -->
                <category android:name="android.intent.category.DEFAULT" />

                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.BROWSABLE" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.sheep.gamegroup.view.activity.PersonalCenterAct"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.WithdrawalAct"
            android:theme="@style/AppActionTheme"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.WithdrawalResultAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.BindOrChangeWeixinAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.TryMakeMoneyact"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.GamemakeMoneyAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.LieMakeMoneyAct"
            android:theme="@style/AppActionTheme"
            android:launchMode="singleTask" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.TaskListAct"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActAudit"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.GameTaskOrderListAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.WithdrawalListAct"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ChangeTelAct"
            android:launchMode="singleTask"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActBindMobileRegister"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.TaskDetailAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.DialogToastAct"
            android:theme="@style/MyDialogActivityTheme" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActMain"
            android:configChanges="keyboardHidden|screenSize|orientation"
            android:exported="true"
            android:hardwareAccelerated="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme"
            android:windowSoftInputMode="adjustPan|stateHidden">
            <intent-filter>
                <category android:name="android.intent.category.DEFAULT" />

                <action android:name="android.intent.action.VIEW" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.sheep.gamegroup.view.activity.AskGetMoneyAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActExchangeCMCC"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActDownloadMgr"
            android:theme="@style/AppActionTheme"
            android:hardwareAccelerated="false"
            android:screenOrientation="portrait" />

        <!-- <provider -->
        <!-- android:name="com.kfzs.duanduan.data.graph.provider.KFZSProvider" -->
        <!-- android:authorities="com.kfzs.duanduan.data.graph.provider.${DUANDUAN_GRAPH}" -->
        <!-- android:exported="true" /> -->

        <receiver android:name="com.sheep.gamegroup.receiver.AppAddOrDelReceiver">
            <intent-filter>
                <action android:name="android.intent.action.PACKAGE_ADDED" />
                <action android:name="android.intent.action.PACKAGE_REMOVED" />
                <action android:name="android.intent.action.PACKAGE_REPLACED" />

                <data android:scheme="package" />
            </intent-filter>
        </receiver>

        <activity
            android:name="com.tencent.tauth.AuthActivity"
            android:launchMode="singleTask"
            android:noHistory="true">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data android:scheme="tencent101461115" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.tencent.connect.common.AssistActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.CommitWxAct"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateVisible|adjustPan" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActGuideOnHook"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.CommitWxCodeAct"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateVisible|adjustPan" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActGuideDeblocked"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.RealNameAuthenAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ChangeWxOrTelAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ReNameActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppActionTheme"
            android:windowSoftInputMode="stateVisible|adjustPan" />
        <activity
            android:name="me.iwf.photopicker.PhotoPickerActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.NoActionBar" />
        <activity
            android:name="me.iwf.photopicker.PhotoPagerActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.NoActionBar" />
        <activity
            android:name="com.yalantis.ucrop.UCropActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActNewbieTaskList"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActUnderstandSheep"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActCreditCardTaskList"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActCreditCardWeb"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActXianWanWeb"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.TaskDetailCreditCardAct"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.TaskDetailAddQQAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActWeb"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActWebX5"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActMyMoney"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.FeedbackAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActSignCard"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActSignCardRecord"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.SignCardAct"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.SignRankingsAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.SignRecordAct"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.SignRechargeAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActUserNoviceGuidance"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActXiaomiGame"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActTestExpression"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.MiddleScreenShotAct"
            android:screenOrientation="user"
            android:theme="@style/MyDialogActivityTheme" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActPlayVideo"
            android:configChanges="orientation|keyboardHidden|navigation|screenSize"
            android:screenOrientation="user"
            android:theme="@style/AppTheme.noTitleBar" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActVideoDetail"
            android:configChanges="orientation|keyboardHidden|navigation|screenSize"
            android:screenOrientation="user"
            android:theme="@style/AppTheme.noTitleBar" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActInputAndPickerImg"
            android:theme="@style/AppTheme.translucent" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActVideoComment"
            android:theme="@style/AppTheme.fullTranslucent" />

        <!-- 友盟start -->
        <meta-data
            android:name="UMENG_APPKEY"
            android:value="${umeng_app_key}" />
        <meta-data
            android:name="UMENG_CHANNEL"
            android:value="xxx" />

        <!-- 极光推送 -->


        <!-- For test only 测试状态通知栏，需要打开的Activity -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.MiddleAct"
            android:exported="false">
            <intent-filter>
                <action android:name="jpush.testAction" />

                <category android:name="jpush.testCategory" />
            </intent-filter>
        </activity>
        <!-- Rich push 核心功能 since 2.0.6 -->
        <activity
            android:name="cn.jpush.android.ui.PopWinActivity"
            android:exported="false"
            android:theme="@style/MyDialogStyle" />
        <!-- Required SDK核心功能 -->
        <activity
            android:name="cn.jpush.android.ui.PushActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:theme="@android:style/Theme.NoTitleBar">
            <intent-filter>
                <action android:name="cn.jpush.android.ui.PushActivity" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="${applicationId}" />
            </intent-filter>
        </activity>

        <!-- Required SDK 核心功能 -->
        <!-- 可配置android:process参数将PushService放在其他进程中 -->
        <service
            android:name="cn.jpush.android.service.PushService"
            android:exported="false"
            android:process=":mult">
            <intent-filter>
                <action android:name="cn.jpush.android.intent.REGISTER" />
                <action android:name="cn.jpush.android.intent.REPORT" />
                <action android:name="cn.jpush.android.intent.PushService" />
                <action android:name="cn.jpush.android.intent.PUSH_TIME" />
            </intent-filter>
        </service>
        <!-- since 3.0.9 Required SDK 核心功能 -->
        <provider
            android:name="cn.jpush.android.service.DataProvider"
            android:authorities="${applicationId}.DataProvider"
            android:exported="false" />

        <!-- since 1.8.0 option 可选项。用于同一设备中不同应用的JPush服务相互拉起的功能。 -->
        <!-- 若不启用该功能可删除该组件，将不拉起其他应用也不能被其他应用拉起 -->
        <service
            android:name="cn.jpush.android.service.DaemonService"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="cn.jpush.android.intent.DaemonService" />

                <category android:name="${applicationId}" />
            </intent-filter>
        </service>
        <!-- since 3.1.0 Required SDK 核心功能 -->
        <provider
            android:name="cn.jpush.android.service.DownloadProvider"
            android:authorities="${applicationId}.DownloadProvider"
            android:exported="true" />
        <!-- Required SDK核心功能 -->
        <receiver
            android:name="cn.jpush.android.service.PushReceiver"
            android:enabled="true"
            android:exported="false">
            <intent-filter android:priority="1000">
                <action android:name="cn.jpush.android.intent.NOTIFICATION_RECEIVED_PROXY" /> <!-- Required  显示通知栏 -->
                <category android:name="${applicationId}" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.USER_PRESENT" />
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
            </intent-filter>
            <!-- Optional -->
            <intent-filter>
                <action android:name="android.intent.action.PACKAGE_ADDED" />
                <action android:name="android.intent.action.PACKAGE_REMOVED" />

                <data android:scheme="package" />
            </intent-filter>
        </receiver>

        <!-- Required SDK核心功能 -->
        <receiver
            android:name="cn.jpush.android.service.AlarmReceiver"
            android:exported="false" />

        <!-- User defined.  For test only  用户自定义的广播接收器 -->
        <receiver
            android:name="com.sheep.gamegroup.receiver.SheepJpushReceiver"
            android:enabled="true"
            android:exported="false">
            <intent-filter>
                <action android:name="cn.jpush.android.intent.REGISTRATION" /> <!-- Required  用户注册SDK的intent -->
                <action android:name="cn.jpush.android.intent.MESSAGE_RECEIVED" /> <!-- Required  用户接收SDK消息的intent -->
                <action android:name="cn.jpush.android.intent.NOTIFICATION_RECEIVED" /> <!-- Required  用户接收SDK通知栏信息的intent -->
                <action android:name="cn.jpush.android.intent.NOTIFICATION_OPENED" /> <!-- Required  用户打开自定义通知栏的intent -->
                <action android:name="cn.jpush.android.intent.CONNECTION" /> <!-- 接收网络变化 连接/断开 since 1.6.3 -->
                <category android:name="${applicationId}" />
            </intent-filter>
        </receiver>

        <!-- User defined.  For test only  用户自定义接收消息器,3.0.7开始支持,目前新tag/alias接口设置结果会在该广播接收器对应的方法中回调 -->
        <receiver android:name="com.sheep.gamegroup.receiver.SheepJpushMessageReceiver">
            <intent-filter>
                <action android:name="cn.jpush.android.intent.RECEIVE_MESSAGE" />

                <category android:name="${applicationId}" />
            </intent-filter>
        </receiver>

        <!-- Required  . Enable it you can get statistics data with channel -->
        <meta-data
            android:name="JPUSH_CHANNEL"
            android:value="developer-default" />
        <meta-data
            android:name="JPUSH_APPKEY"
            android:value="${jpush_appkey}" /> <!-- </>值来自开发者平台取得的AppKey -->
        <!-- 极光推送end -->


        <!-- div start -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.RechargeAct"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.RechargeQAct"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.RechargeResultAct"
            android:screenOrientation="portrait" />
        <!-- div end -->


        <!-- alipay 支付宝 sdk begin -->
        <activity
            android:name="com.alipay.sdk.app.H5PayActivity"
            android:configChanges="orientation|keyboardHidden|navigation|screenSize"
            android:exported="false"
            android:screenOrientation="behind"
            android:windowSoftInputMode="adjustResize|stateHidden" />

        <!-- alipay 支付宝 sdk end -->


        <!-- 百度定位 sdk start -->
        <meta-data
            android:name="com.baidu.lbsapi.API_KEY"
            android:value="gXD6RhE7ncVIcl1crk5SeUoVm7ceNtkL" />

        <service
            android:name="com.baidu.location.f"
            android:enabled="true"
            android:process=":remote" />
        <!-- 百度定位 sdk end -->

        <activity
            android:name="com.sheep.gamegroup.view.activity.ActNotice"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActGuide"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActLoadH5"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActUserLabelList"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActNewAboutUs"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActInstallApkList"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActSheepApkList"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActSheepPngList"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActReservation"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActGameAgencyRecharge"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActGameAccount"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActSearchGame"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActSetting"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActGameCenter"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActDownloadWelfareList"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActGiftCenter"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActMyWelfare"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.MessageInteractionDetailActivity"
            android:theme="@style/AppActionTheme"
            android:exported="true" />

        <!-- start幂动科技 -->

        <activity
            android:name="com.sheep.gamegroup.view.activity.ActMiDong"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />

        <service
            android:name="com.baidu.location.f"
            android:enabled="true"
            android:process=":remote" />
        <!-- 百度定位 sdk end -->


        <!-- <activity -->
        <!-- android:name="com.sheep.gamegroup.view.activity.ActFindGame" -->
        <!-- android:screenOrientation="portrait" /> -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActArticle"
            android:configChanges="orientation|screenSize|keyboardHidden" />
        <!-- 小绵羊 3.4.2 合并资讯与资讯评论界面，且默认不显示输入法 -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActArticleComment"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="portrait"
            android:theme="@style/AppActionTheme"
            android:windowSoftInputMode="adjustUnspecified|stateHidden" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActSearchAppOrTask"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActSearchApp"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActMsg"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActGiftDetail"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActModifyThird"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActPlayGameList"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActPlayGameUserLikeList"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActPlayGameRecommendList"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActGcGameAppDetail"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActCommentGameApp"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActUserCommentDetail"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActUserAppHome"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActSysNfDetail"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActInvitation"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />

        <!-- start幂动科技 -->

        <service
            android:name="com.mdad.sdk.mdsdk.monitor.MonitorService"
            android:enabled="true"
            android:priority="1000" />

        <receiver
            android:name="com.mdad.sdk.mdsdk.AppInstallReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.PACKAGE_ADDED" />
                <action android:name="android.intent.action.PACKAGE_REPLACED" />
                <action android:name="android.intent.action.PACKAGE_REMOVED" />

                <data android:scheme="package" />
            </intent-filter>
        </receiver>
        <receiver
            android:name="com.mdad.sdk.mdsdk.DownloadCompleteReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.DOWNLOAD_COMPLETE" />
                <action android:name="android.intent.action.DOWNLOAD_NOTIFICATION_CLICKED" />
            </intent-filter>
        </receiver>
        <!-- end幂动科技 -->
        <!-- start 小绵羊sdk相关 -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActPay"
            android:exported="true"
            android:screenOrientation="user" />
        <activity
            android:name="com.sheep.gamegroup.view.activity.GameCertificationActivity"
            android:theme="@style/AppActionTheme"
            android:exported="true"
            android:screenOrientation="portrait" />
        <!-- end 小绵羊sdk相关 -->


        <!-- 签到 -->
        <activity
            android:name=".ui.activity.SignActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppActionTheme" />
        <!-- 活动规则 -->
        <activity
            android:name=".ui.activity.ActiveRuleActivity"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <!-- 小绵羊3.4.5 我的关注 -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActMyFocus"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <!-- 小绵羊3.4.5 足迹 -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActFootprint"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <!-- 小绵羊3.4.5 收徒红包 -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActApprenticeRedPacket"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <!-- 小绵羊3.4.5 兑换商城 -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActExchangeMall"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <!-- 小绵羊3.4.5 每日分享 -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActEveryDayShare"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <!-- 小绵羊3.4.5 娱乐抽奖 -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActEntertainmentLuckDraw"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <!-- 小绵羊3.4.5 金币中心 -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActCoinCenter"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <!-- 小绵羊3.4.5 发布发现内容 -->
        <activity
            android:name="com.sheep.gamegroup.view.activity.ActPublishArticle"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />

        <!-- 小绵羊3.4.5 选择图片与视频 -->
        <activity
            android:name="com.sheep.gamegroup.module.find.activity.ActMediaChoose"
            android:theme="@style/AppActionTheme"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.sheep.gamegroup.module.login.LoginAct"
            android:screenOrientation="portrait"
            android:theme="@style/AppActionTheme"></activity>
        <activity
            android:name="com.sheep.gamegroup.module.login.ChangePasswordAct"
            android:screenOrientation="portrait"
            android:theme="@style/AppActionTheme" />
        <activity
            android:name="com.sheep.gamegroup.module.login.ReLoginNameAct"
            android:screenOrientation="portrait"
            android:theme="@style/AppActionTheme"></activity>
    </application>

</manifest>